> ## Documentation Index
> Fetch the complete documentation index at: https://bmpdocs.moneyp.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar Parcelas

Permite a consulta dos valores atualizados da(s) parcela(s), de acordo com a data informada.


## OpenAPI

````yaml post /FGTS/ConsultarParcelas
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.FGTS.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br
security:
  - Bearer: []
paths:
  /FGTS/ConsultarParcelas:
    post:
      tags:
        - FGTS
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsultarParcelasCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/ConsultarParcelasCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ConsultarParcelasCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultarParcelasResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultarParcelasResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultarParcelasResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    ConsultarParcelasCommand:
      type: object
      properties:
        Dto:
          $ref: '#/components/schemas/ConsultarParcelasDto'
      additionalProperties: false
    ConsultarParcelasResponse:
      type: object
      properties:
        Msg:
          type: string
          nullable: true
        Result:
          type: boolean
          writeOnly: true
        HasError:
          type: boolean
        Messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        DtCalculo:
          type: string
          format: date-time
          nullable: true
        Parcelas:
          type: array
          items:
            $ref: '#/components/schemas/ParcelaLiquidacaoAgendaDto'
          nullable: true
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        Msg:
          type: string
          nullable: true
        Result:
          type: boolean
          writeOnly: true
        HasError:
          type: boolean
        Messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    ConsultarParcelasDto:
      type: object
      properties:
        QtdeParcelas:
          type: integer
          format: int32
        CodigoProposta:
          type: string
          format: uuid
        DtCalculo:
          type: string
          format: date
      additionalProperties: false
    Message:
      type: object
      properties:
        MessageType:
          $ref: '#/components/schemas/ErrorType'
        Code:
          type: string
          nullable: true
        Context:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        Field:
          type: string
          nullable: true
      additionalProperties: false
    ParcelaLiquidacaoAgendaDto:
      type: object
      properties:
        NroParcela:
          type: integer
          format: int32
        DtVencimentoAtual:
          type: string
          format: date-time
        Calculado:
          $ref: '#/components/schemas/CalculadoParcelaDto'
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
    CalculadoParcelaDto:
      type: object
      properties:
        VlrMulta:
          type: number
          format: double
        VlrMora:
          type: number
          format: double
        VlrJurosContrato:
          type: number
          format: double
        VlrEncargos:
          type: number
          format: double
        VlrAbatimento:
          type: number
          format: double
        VlrSaldoAtualizado:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````